Get supported glossary formats
The Get supported glossary formats method returns a list of glossary formats supported by the Document Translation service. The list includes the common file extension used.
Request URL
Send a GET request to:
GET https://<NAME-OF-YOUR-RESOURCE>.cognitiveservices.azure.com/translator/text/batch/v1.0/glossaries/formats
Learn how to find your custom domain name.
Important
- All API requests to the Document Translation service require a custom domain endpoint.
- You can't use the endpoint found on your Azure portal resource Keys and Endpoint page nor the global translator endpoint—
api.cognitive.microsofttranslator.com—to make HTTP requests to Document Translation.
Request headers
Request headers are:
| Headers | Description |
|---|---|
| Ocp-Apim-Subscription-Key | Required request header |
Response status codes
The following are the possible HTTP status codes that a request returns.
| Status Code | Description |
|---|---|
| 200 | OK. Returns the list of supported glossary file formats. |
| 500 | Internal Server Error. |
| Other Status Codes |
|
Get supported glossary formats response
Base type for list return in the Get supported glossary formats API.
Successful get supported glossary formats response
Base type for list return in the Get supported glossary formats API.
| Name | Type | Description |
|---|---|---|
| value | FileFormat [] | FileFormat[] contains the details listed below. |
| value.contentTypes | string [] | Supported Content-Types for this format. |
| value.defaultVersion | string | Default version if none is specified |
| value.fileExtensions | string [] | Supported file extension for this format. |
| value.format | string | Name of the format. |
| value.versions | string [] | Supported version. |
Error response
| Name | Type | Description |
|---|---|---|
| code | string | Enums containing high-level error codes. Possible values:
|
| message | string | Gets high-level error message. |
| innerError | InnerTranslationError | New Inner Error format which conforms to Cognitive Services API Guidelines. This contains required properties ErrorCode, message and optional properties target, details(key value pair), inner error(this can be nested). |
| innerError.code | string | Gets code error string. |
| innerError.message | string | Gets high-level error message. |
| innerError.target | string | Gets the source of the error. For example it would be "documents" or "document id" in case of invalid document. |
Examples
Example successful response
The following is an example of a successful response.
{
"value": [
{
"format": "XLIFF",
"fileExtensions": [
".xlf"
],
"contentTypes": [
"application/xliff+xml"
],
"defaultVersion": "1.2",
"versions": [
"1.0",
"1.1",
"1.2"
]
},
{
"format": "TSV",
"fileExtensions": [
".tsv",
".tab"
],
"contentTypes": [
"text/tab-separated-values"
]
},
{
"format": "CSV",
"fileExtensions": [
".csv"
],
"contentTypes": [
"text/csv"
]
}
]
}
Example error response
the following is an example of an error response. The schema for other error codes is the same.
Status code: 500
{
"error": {
"code": "InternalServerError",
"message": "Internal Server Error",
"innerError": {
"code": "InternalServerError",
"message": "Unexpected internal server error has occurred"
}
}
}
Next steps
Follow our quickstart to learn more about using Document Translation and the client library.
Povratne informacije
Pošalјite i prikažite povratne informacije za